# module ActiveLdap::AttributeMethods

### Public Instance Methods

methods(singleton_methods = true) click to toggle source
Calls superclass method

    # File lib/active_ldap/attribute_methods.rb, line 6
    def methods(singleton_methods = true)
      target_names = entry_attribute.all_names
      target_names -= ['objectClass', 'objectClass'.underscore]
      super + target_names.uniq.collect do |attr|
        self.class.attribute_method_matchers.collect do |matcher|
          :"#{matcher.prefix}#{attr}#{matcher.suffix}"
        end
      end.flatten
    end

### Protected Instance Methods

attribute_method?(method_name) click to toggle source

overiding ActiveModel::AttributeMethods

    # File lib/active_ldap/attribute_methods.rb, line 19
    def attribute_method?(method_name)
      have_attribute?(method_name, ['objectClass'])
    end